html {
  display: flex;
  justify-content: center;
}

body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

.btn {
  font-size: 2.2rem;
  font-weight: 700;
  letter-spacing: 2px;
  text-transform: capitalize;
  border: none;
  border-radius: 2000px;
  -webkit-border-radius: 2000px;
  -moz-border-radius: 2000px;
  -ms-border-radius: 2000px;
  -o-border-radius: 2000px;
}
.btn:hover {
  cursor: pointer;
}
.btn::before {
  border: none;
}

.landing {
  width: 100vw;
  max-width: 500px;
  height: 85vh;
  max-height: 1200px;
  padding-top: 0;
  background-color: rgb(67, 155, 198);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
.landing .logo-slogan {
  /* z-index: 20; */
  width: 100%;
  max-width: 400px;
  margin-bottom: 0;
  position: absolute;
  top: 0;
  display: flex;
  justify-content: space-around;
  align-items: flex-end;
}
.landing .logo-slogan .logo {
  width: 60%;
  max-width: 200px;
}
.landing main {
  z-index: 10;
  width: 100%;
  height: 100%;
  min-height: 520px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}
.landing main .wrapper-image {
  width: 100vw;
  min-width: 260px;
  max-width: 430px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.landing main .wrapper-image .woman-travel {
  width: 100%;
  height: 100%;
}
.landing main .wrapper-phone-number {
  width: 85vw;
  max-width: 350px;
  height: 6vh;
  min-height: 30px;
  max-height: 50px;
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgb(250, 250, 250);
  font-size: 1.4rem;
  font-weight: bolder;
}
.landing main .wrapper-phone-number h3 {
  margin-right: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  height: -moz-fit-content;
  height: fit-content;
}
.landing main .wrapper-phone-number:hover {
  cursor: default;
}
.landing main .wrapper-phone-number input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
}
.landing main .wrapper-phone-number .phone-number-input {
  z-index: 100000;
  width: 100%;
  height: 90%;
  margin: 0;
  padding: 0 20px;
  color: rgb(0, 0, 0);
  background-color: rgb(250, 250, 250);
  border: none;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1.4rem;
  font-weight: 600;
  -webkit-appearance: none;
          appearance: none;
  -moz-appearance: textfield;
  border-radius: 6px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
}
.landing main .wrapper-phone-number .phone-number-input :hover {
  cursor: text;
}
.landing main .wrapper-phone-number .phone-number-input::-moz-placeholder {
  font-weight: 500;
  font-size: 0.9rem;
}
.landing main .wrapper-phone-number .phone-number-input::placeholder {
  font-weight: 500;
  font-size: 0.9rem;
}
.landing main .wrapper-pin-number {
  width: 85vw;
  max-width: 350px;
  height: 6vh;
  min-height: 30px;
  max-height: 50px;
  margin-bottom: 20px;
  display: none;
  justify-content: center;
  align-items: center;
  color: rgb(250, 250, 250);
  font-size: 1.4rem;
  font-weight: bolder;
}
.landing main .wrapper-pin-number:hover {
  cursor: default;
}
.landing main .wrapper-pin-number input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
}
.landing main .wrapper-pin-number .pin-number-input {
  z-index: 100000;
  width: 70%;
  height: 90%;
  margin: 0;
  color: rgb(0, 0, 0);
  background-color: rgb(250, 250, 250);
  border: none;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1.5rem;
  font-weight: 600;
  text-align: center;
  display: flex;
  -webkit-appearance: none;
          appearance: none;
  -moz-appearance: textfield;
  border-radius: 6px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
}
.landing main .wrapper-pin-number .pin-number-input :hover {
  cursor: text;
}
.landing main .wrapper-pin-number .pin-number-input::-moz-placeholder {
  font-size: 1.2rem;
  font-weight: 500;
}
.landing main .wrapper-pin-number .pin-number-input::placeholder {
  font-size: 1.2rem;
  font-weight: 500;
}
.landing main .wrapper-btns {
  z-index: 1000;
  width: 70vw;
  max-width: 300px;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.landing main .wrapper-btns .wrapper-btn-shadow {
  z-index: 1000;
  width: 70vw;
  min-width: 200px;
  max-width: 300px;
  height: 100px;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.landing main .wrapper-btns .wrapper-btn-shadow .btn-subs,
.landing main .wrapper-btns .wrapper-btn-shadow .btn-confirm {
  width: 100%;
  height: 7vh;
  min-height: 30px;
  max-height: 50px;
  padding-bottom: 5px;
  font-size: clamp(1rem, 1rem + 5vw, 2rem);
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgb(250, 250, 250);
  background: linear-gradient(0deg, rgb(176, 147, 0) 0%, rgb(236, 197, 0) 36%);
  box-shadow: 0px 0px 6px 1px rgba(0, 0, 0, 0.56);
  -webkit-box-shadow: 0px 0px 6px 1px rgba(0, 0, 0, 0.56);
  -moz-box-shadow: 0px 0px 6px 1px rgba(0, 0, 0, 0.56);
}
.landing main .wrapper-btns .wrapper-btn-shadow .btn-subs:hover,
.landing main .wrapper-btns .wrapper-btn-shadow .btn-confirm:hover {
  background: rgb(176, 147, 0);
}
.landing main .wrapper-btns .wrapper-btn-shadow .btn-subs:active,
.landing main .wrapper-btns .wrapper-btn-shadow .btn-confirm:active {
  filter: contrast(50%);
  -webkit-filter: contrast(50%);
}
.landing main .wrapper-btns .wrapper-btn-shadow .shadow-mirror {
  width: 100%;
  height: 50%;
  background: linear-gradient(180deg, rgba(87, 87, 87, 0.4666666667) 0%, rgba(255, 255, 255, 0) 20%);
  border-radius: 2000px;
  -webkit-border-radius: 2000px;
  -moz-border-radius: 2000px;
  -ms-border-radius: 2000px;
  -o-border-radius: 2000px;
}
.landing main .wrapper-btns .wrapper-btn-shadow:active {
  border: none;
  transform: scale(0.95);
  -webkit-transform: scale(0.95);
  -moz-transform: scale(0.95);
  -ms-transform: scale(0.95);
  -o-transform: scale(0.95);
}
.landing main .wrapper-btns .confirm {
  display: none;
}
.landing main .wrapper-btns:active {
  border: none;
  transform: scale(0.95);
  -webkit-transform: scale(0.95);
  -moz-transform: scale(0.95);
  -ms-transform: scale(0.95);
  -o-transform: scale(0.95);
}
.landing main .subscription-price {
  margin-top: -30px;
  height: 20px;
  font-size: 1rem;
  font-weight: 400;
  color: rgb(0, 0, 0);
}
.landing main .subscription-price:hover {
  cursor: default;
}
.landing .terms-conditions-price {
  z-index: 20;
  width: 100vw;
  height: 5vh;
  margin-bottom: 20px;
  bottom: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}
.landing .terms-conditions-price a {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  font-size: 1.2rem;
  text-decoration: underline;
  color: rgb(255, 255, 255);
}
.landing .terms-conditions-price a:hover {
  cursor: pointer;
  color: blue;
}
.landing .terms-conditions-price a .terms {
  margin: 10px;
  font-weight: 400;
}
.landing .hide {
  display: none;
}

.confirm-screen main .wrapper-phone-number {
  display: none;
}
.confirm-screen main .wrapper-pin-number {
  display: flex;
}
.confirm-screen main .wrapper-btns .subs {
  display: none;
}
.confirm-screen main .wrapper-btns .confirm {
  display: flex;
}/*# sourceMappingURL=app.css.map */


/* Estilos CSS para el modal */
.modal {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
  background-color: #000000;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #fff;
  width: 80%;
  border-radius: 25px;
  color: aliceblue;
}